#!/bin/bash

# Setup build environment
if [ ! -d "/opt/build" ]
then
	mkdir -p /opt/build
fi
chown -R sysadmin:admins /opt/build

# Build and install
su sysadmin -c "git clone https://git.xo.nl/marcel/zfs-utils.git /opt/build/zfs-utils"
su sysadmin -c "git clone https://git.xo.nl/marcel/zfs-linux-lts.git /opt/build/zfs-linux-lts"

su sysadmin -c "cd /opt/build/zfs-utils && makepkg --noconfirm --skipchecksums --skippgpcheck -si"
su sysadmin -c "cd /opt/build/zfs-linux-lts && makepkg --noconfirm --skipchecksums --skippgpcheck -si"
echo "zfs" > /etc/modules-load.d/zfs.conf
