#!/bin/bash

zpool create data raidz1 /dev/vd[bcde]

mkdir /etc/zfs/zfs-list.cache
touch /etc/zfs/zfs-list.cache/data

rm /etc/zfs/zpool.cache

zpool set cachefile=/etc/zfs/zpool.cache data

systemctl enable zfs-import-cache.service
#systemctl enable zfs-import-scan.service
#systemctl enable zfs-zed.service
#systemctl restart zfs-zed.service
systemctl enable zfs-mount.service

zfs set canmount=on data
zfs set relatime=off data
zfs inherit relatime data


systemctl daemon-reload
